import request from '@/utils/request'

// 创建文字样式
export function createDesignFont(data) {
  return request({
    url: '/manager/design-font/create',
    method: 'post',
    data: data
  })
}

// 更新文字样式
export function updateDesignFont(data) {
  return request({
    url: '/manager/design-font/update',
    method: 'put',
    data: data
  })
}

// 删除文字样式
export function deleteDesignFont(id) {
  return request({
    url: '/manager/design-font/delete?id=' + id,
    method: 'delete'
  })
}

// 获得文字样式
export function getDesignFont(id) {
  return request({
    url: '/manager/design-font/get?id=' + id,
    method: 'get'
  })
}

// 获得文字样式分页
export function getDesignFontPage(params) {
  return request({
    url: '/manager/design-font/page',
    method: 'get',
    params
  })
}
// 导出文字样式 Excel
export function exportDesignFontExcel(params) {
  return request({
    url: '/manager/design-font/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}